<div id="chart-container" class="flex-row spread">
    <div class="flex-column center half-width">
        <span class="subheader" *ngIf="isShowingArrival">Vol arrivant au Québec</span>
        <span class="subheader" *ngIf="!isShowingArrival">Vol partant du Québec</span>
        <div class="flex-row switch-buttons-container">
            <button class="subsection" [ngClass]="isShowingArrival ? 'clicked' : 'click-cursor'" [disabled]="isShowingArrival" (click)="switchData(true)">Arrivée</button>
            <button class="subsection" [ngClass]="!isShowingArrival ? 'clicked' : 'click-cursor'" [disabled]="!isShowingArrival" (click)="switchData(false)">Départ</button>
        </div>

        <figure id="chord"></figure>
    </div>

    <div class="flex-column half-width margin more-than-half-height margin">
        <div *ngIf="!isShowingDataBox">
            <span class="subheader">Description du diagramme:</span>
            <div class="subsection">
                <span>Voici un diagramme à cordes qui montre les origines et les destinations des vols du Québec, groupées par continent.</span>
                <br>
                <span>Les boutons permettent de voir les vols qui ont atteri au Québec ou les vols qui sont partis du Québec.</span>
                <br>
                <span>Cliquer sur un ruban permet d'afficher les détails des différents pays au sein du continent.</span>
            </div>
        </div>
        <div *ngIf="isShowingDataBox" class="more-than-half-height margin">
            <span class="subheader" *ngIf="!isShowingArrival"> Voici les données des vols qui partent du Québec pour aller vers:</span>
            <span class="subheader" *ngIf="isShowingArrival"> Voici les données des vols qui arrivent au Québec de:</span>
            
            <div class="subsection">
                <span>{{currentContinent}}</span>
                <div class="countries-container more-than-half-height margin">
                <div *ngFor="let countryData of currentContinentFlights" class="flex-row country-container">
                    <span *ngIf="!isShowingArrival">{{countryData.Arrivee}}</span>
                    <span *ngIf="isShowingArrival">{{countryData.Depart}}</span>
                    <span>{{countryData.Nombre}} vols</span>
                </div>
            </div>
            
        </div>
            <button class="subsection click-cursor" (click)="hideCountryBox()" >Fermer</button>
        </div>

    </div>
</div>